> For the complete documentation index, see [llms.txt](https://bakingtray.mouse.vision/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://bakingtray.mouse.vision/developers/developers/the-recipe-file.md).

# The recipe file

BakingTray uses so-called "recipe" YML files to determine the settings with which an acquisition is conducted. A recipe contain settings that are deemed more or less likely to change between samples:

* `sample.ID` - A string defining the name of this sample. This is used to create directory names and so can not include problematic characters. If these are entered they are automatically substituted with something better.
* `sample.objectiveName` - The name of the objective. This can be any string and is not used for anything.
* `mosaic.sectionStartNum` - Number defining the index of the first section. Generally, this should be left at `1`
* `mosaic.numSections` - Integer defining how many sections to take
* `mosaic.cuttingSpeed` - How fast to cut the block in mm/s
* `mosaic.cutSize` - How long the cut should be in mm
* `mosaic.sliceThickness` - How thick the cut slice should be in mm
* `mosaic.numOpticalPlanes` - Integer defining into how many optical planes the slice should be divided. e.g. if the slice thickness is 0.1 (100 microns) and the number of optical planes is 10 then BakingTray will image 10 sections spaced 10 microns apart.
* `mosaic.overlapProportion` - The proportional overlap between adjacent tiles in x/y. A value of "0.05" means 5% overlap. We don't use the overlap to guide tile placement, so this number doesn't have to be large.
* `mosaic.sampleSize.[XY]` - The size of the sample in mm along X and Y.
* `mosaic.scanmode` - Currently this should be the string `tile`. If other scan modes are added later, such as stage-scannng, or auto-finding the sample then this will be changed.

Generally you will edit the recipe via the GUI.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://bakingtray.mouse.vision/developers/developers/the-recipe-file.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
